Bug 1569871 - After environment update, encoding for fluentd changed from UTF-8 to ASCII
Summary: After environment update, encoding for fluentd changed from UTF-8 to ASCII
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.6.z
Assignee: Rich Megginson
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 07:44 UTC by Ger-Jan te Dorsthorst
Modified: 2018-05-14 10:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 10:06:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Rich Megginson 2018-04-20 15:29:54 UTC
User may need to enable the utf8 conversion filter

NOTE: using oc edit ds/logging-fluentd or otherwise editing the fluentd daemonset configuration may trigger the redeployment of fluentd on every node in the cluster.  If you do not want to do that, then use

oc label node $the_node logging-infra-fluentd-

for each node to turn off fluentd gradually.

Then

oc edit ds/logging-fluentd (or use the console UI to edit the fluentd daemonset)

In the env: section, add the following:

        - name: ENABLE_UTF8_FILTER
          value: "true"

Make sure to preserve the indentation, and the "true" must be in double quotes, or it will be interpreted as a YAML boolean value.

https://github.com/openshift/origin-aggregated-logging/blob/release-3.6/fluentd/run.sh#L315

Then, restart fluentd on each node

oc label node $the_node logging-infra-fluentd=true

Comment 3 Jeff Cantrill 2018-04-25 14:24:17 UTC
Forced UTF-8 encoding caused a performance regression and was made 'opt-in' as part of [1]. Please see c#2 to see if this resolves your issue and close if so.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1513254

Comment 6 Ger-Jan te Dorsthorst 2018-05-14 10:06:36 UTC
User behind this bz confirmed that the suggested solution #2 works for them. Thanks for clarifying; closing this bug report.


Note You need to log in before you can comment on or make changes to this bug.